#primary {
    width: 100%;
    padding: 20px;
    padding-top: 100px;
    box-sizing: border-box;
}

.recaptcha-container {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
    }
    
    .g-recaptcha {
        transform-origin: center;
    }

.entry-header .entry-title {
    font-size: 2em;
    text-align: center;
    margin-bottom: 30px;
}

#contact-form {
    max-width: 600px;
    margin: 0 auto;
    padding: 20px;
    border-radius: 8px;
}

#contact-form label {
    display: none;
}

#contact-form input[type="text"],
#contact-form input[type="email"],
#contact-form textarea,
#contact-form .submit-button {
    width: 100%;
    padding: 15px;
    margin-bottom: 15px;
    border: 1px solid #ccc;
    border-radius: 10px;
    box-sizing: border-box;
}

#contact-form textarea {
    resize: vertical;
}

#contact-form .submit-button {
    background-color: #46A049;
    color: white;
    border: none;
    cursor: pointer;
    font-size: 1em;
}

#contact-form .submit-button:hover {
    background-color: #3e8e41;
}

#contact-form input::placeholder,
#contact-form textarea::placeholder {
    color: #888;
}

#contact-form input[type="text"]:focus,
#contact-form input[type="email"]:focus,
#contact-form textarea:focus {
    border-color: #4CAF50;
    outline: none;
}

@media (max-width: 767px) {
	
	body, html {
    	overflow-x: hidden;
	}

	.recaptcha-container {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
    }
    
    .g-recaptcha {
        transform: scale(0.9); 
        transform-origin: center;
    }
	
    #primary {
        padding: 10px;
        padding-top: 100px;
    }

    .entry-header .entry-title {
        font-size: 1.5em;
        margin-bottom: 20px;
    }

    #contact-form {
        padding: 10px;
        max-width: 100%;
        box-sizing: border-box;
    }

    #contact-form input[type="text"],
    #contact-form input[type="email"],
    #contact-form textarea,
    #contact-form .submit-button {
        width: calc(100% - 20px);
        padding: 12px;
        margin-bottom: 10px;
        font-size: 0.9em;
        box-sizing: border-box;
    }

    #contact-form .submit-button {
        font-size: 0.9em;
    }
}

@media (max-width: 480px) {
    .entry-header .entry-title {
        font-size: 1.25em;
    }

    #contact-form input[type="text"],
    #contact-form input[type="email"],
    #contact-form textarea,
    #contact-form .submit-button {
        font-size: 0.8em;
    }
}